#
# TODO: - bconds for the rest of the plugins
#
# Conditional build:
%bcond_with	cg		# build with cg
%bcond_with	samples		# build samples (not installed anyway)

%ifnarch %{ix86} %{x8664} x32
%undefine	with_cg
%endif

%define fver    %(echo %{version} | tr . -)
Summary:	Object-oriented Graphics Rendering Engine
Summary(pl.UTF-8):	OGRE - zorientowany obiektowo silnik renderowania grafiki
Name:		ogre
Version:	1.8.1
Release:	9
License:	MIT
Group:		Applications
Source0:	http://downloads.sourceforge.net/ogre/%{name}_src_v%{fver}.tar.bz2
# Source0-md5:	b85e3dcf370a46b3a8624d4fdd722d39
Patch0:		boost-1.50.patch
Patch1:		x32.patch
URL:		http://www.ogre3d.org/
%{?with_samples:BuildRequires:	CEGUI-devel}
BuildRequires:	FreeImage-devel
# no makefiles for EXR plugin
#BuildRequires:	OpenEXR-devel
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	boost-devel >= 1.40
%{?with_cg:BuildRequires:	cg-devel}
BuildRequires:	cmake >= 2.6.2
BuildRequires:	cppunit-devel >= 1.10.0
BuildRequires:	freetype-devel >= 2.1.0
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	tinyxml-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
BuildRequires:	xorg-proto-xf86vidmodeproto-devel
BuildRequires:	zlib-devel
BuildRequires:	zziplib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Object-oriented Graphics Rendering Engine.

%description -l pl.UTF-8
OGRE - zorientowany obiektowo silnik renderowania grafiki

%package devel
Summary:	Header files for OGRE library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki OGRE
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	FreeImage-devel
Requires:	freetype-devel >= 2.1.0
Requires:	libstdc++-devel
Requires:	zlib-devel
Requires:	zziplib-devel
# libOgrePlatform additionally: XFree86-devel/xorg-lib-libX11-devel OpenGL-GLU-devel

%description devel
This is the package containing the header files for OGRE library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki OGRE.

%package examples
Summary:	OGRE samples
Summary(pl.UTF-8):	Przykłady do OGRE
Group:		Applications
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description examples
OGRE samples.

%description examples -l pl.UTF-8
Przykłady do OGRE.

%prep
%setup -q -n %{name}_src_v%{fver}
%patch0 -p1
%patch1 -p1

%build
install -d build
cd build
# "None" is an alias for release, but uses plain CMAKE_CXX_FLAGS; "PLD" build type is not supported
%cmake .. \
	-DCMAKE_CXX_FLAGS="%{rpmcxxflags} -Wno-narrowing" \
	-DCMAKE_BUILD_TYPE=%{?debug:Debug}%{!?debug:None} \
	%{!?with_samples:-DOGRE_BUILD_SAMPLES=FALSE}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -pr Samples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS COPYING README
%attr(755,root,root) %{_bindir}/OgreMeshUpgrader
%attr(755,root,root) %{_bindir}/OgreXMLConverter
%attr(755,root,root) %{_libdir}/libOgreMain.so.*.*.*
%attr(755,root,root) %{_libdir}/libOgrePaging.so.*.*.*
%attr(755,root,root) %{_libdir}/libOgreProperty.so.*.*.*
%attr(755,root,root) %{_libdir}/libOgreRTShaderSystem.so.*.*.*
%attr(755,root,root) %{_libdir}/libOgreTerrain.so.*.*.*
%dir %{_libdir}/OGRE
%attr(755,root,root) %{_libdir}/OGRE/Plugin_BSPSceneManager.so*
%if %{with cg}
%attr(755,root,root) %{_libdir}/OGRE/Plugin_CgProgramManager.so*
%endif
%attr(755,root,root) %{_libdir}/OGRE/Plugin_OctreeSceneManager.so*
%attr(755,root,root) %{_libdir}/OGRE/Plugin_OctreeZone.so*
%attr(755,root,root) %{_libdir}/OGRE/Plugin_PCZSceneManager.so*
%attr(755,root,root) %{_libdir}/OGRE/Plugin_ParticleFX.so*
%attr(755,root,root) %{_libdir}/OGRE/RenderSystem_GL.so*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libOgreMain.so
%attr(755,root,root) %{_libdir}/libOgrePaging.so
%attr(755,root,root) %{_libdir}/libOgreProperty.so
%attr(755,root,root) %{_libdir}/libOgreRTShaderSystem.so
%attr(755,root,root) %{_libdir}/libOgreTerrain.so
%{_includedir}/OGRE
%{_pkgconfigdir}/OGRE.pc
%{_pkgconfigdir}/OGRE-PCZ.pc
%{_pkgconfigdir}/OGRE-Paging.pc
%{_pkgconfigdir}/OGRE-Property.pc
%{_pkgconfigdir}/OGRE-RTShaderSystem.pc
%{_pkgconfigdir}/OGRE-Terrain.pc
%{_libdir}/OGRE/cmake

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Tue Apr 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ogre.git;a=log;h=master

* Tue Apr 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4127e2c
- pass PLD CXXFLAGS and disable narrowing const errors
- rel 9

* Tue May 17 2016 Elan Ruusamäe <glen@delfi.ee> 5b88c43
- boost 1.61 rebuild
- release 8 (by relup.sh)

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> 3e6aa7e
- release 7 (by relup.sh)

* Mon Jun 15 2015 Jan Rękorajski <baggins@pld-linux.org> 0d5386d
- fix building on x32
- rel 6

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> e8619a0
- rebuild with boost 1.57.0
- release 5 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 0c6b933
- rebuild with boost 1.56.0
- release 4 (by relup.sh)

* Wed Apr 02 2014 Elan Ruusamäe <glen@delfi.ee> 2a320fb
- noarch -examples

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> f011bbc
- - rebuild with boost 1.55.0
- release 2 (by relup.sh)

* Sun Jul 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 842d7de
- removed dir duplicate from -devel, list plugins individually

* Thu Jul 11 2013 Jan Rękorajski <baggins@pld-linux.org> 90df30e
- updated to 1.8.1
- use system tinyxml
- link with boost thread lib

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 89f48e6
- release 2 (by relup.sh)

* Thu Aug 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 9aeb128
- revised BRs

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> 0e32de3
- Boost 1.50 requirest boost_system for boost_thread

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> f6e6855
- Updated to 1.8.0

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8ab5d70
- release 2

* Thu Jun 09 2011 lisu <lisu@pld-linux.org> bc3cc54
- updated to 1.7.3

* Sun May 08 2011 Jakub Bogusz <qboosh@pld-linux.org> d55394d
- fixed build with recent rpm macros ("PLD" build type is not supported here)
- BR: boost-devel (boost_thread and boost_date_time used)
- License is MIT; package COPYING
- package cmake files in -devel
- release 3

* Wed May 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 236b6b5
- release 2

* Mon Feb 14 2011 lisu <lisu@pld-linux.org> 0a87368
- drop cmake options provides by cmake macro

* Tue Nov 09 2010 lisu <lisu@pld-linux.org> 3fda811
- builds on 64 bits
- rel 1

